## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel
Interface SybaseasasqlmodelPackage.Literals

Enclosing interface:
  SybaseasasqlmodelPackage

    public static interface SybaseasasqlmodelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_DATABASE` The meta object literal for the '`Sybase ASA Database`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_DATABASE__ASE_COMPATIBLE` The meta object literal for the 'ASE Compatible' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_FOREIGN_KEY` The meta object literal for the '`Sybase ASA Foreign Key`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_FOREIGN_KEY__CHECK_ON_COMMIT` The meta object literal for the 'Check On Commit' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_FOREIGN_KEY__NULLABLE` The meta object literal for the 'Nullable' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_INDEX` The meta object literal for the '`Sybase ASA Index`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_INDEX__VIRTUAL` The meta object literal for the 'Virtual' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_TABLE` The meta object literal for the '`Sybase ASA Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_TABLE__PCTFREE` The meta object literal for the 'Pctfree' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_TEMP_TABLE` The meta object literal for the '`Sybase ASA Temp Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_TEMP_TABLE__PCTFREE` The meta object literal for the 'Pctfree' attribute feature.

Field Detail

### SYBASE_ASA_DATABASE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_DATABASE

  The meta object literal for the '`Sybase ASA Database`' class.

  See Also:
    `SybaseASADatabaseImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASADatabase()`

### SYBASE_ASA_DATABASE__ASE_COMPATIBLE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_DATABASE__ASE_COMPATIBLE

  The meta object literal for the 'ASE Compatible' attribute feature.

### SYBASE_ASA_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_TABLE

  The meta object literal for the '`Sybase ASA Table`' class.

  See Also:
    `SybaseASATableImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASATable()`

### SYBASE_ASA_TABLE__PCTFREE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_TABLE__PCTFREE

  The meta object literal for the 'Pctfree' attribute feature.

### SYBASE_ASA_FOREIGN_KEY

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_FOREIGN_KEY

  The meta object literal for the '`Sybase ASA Foreign Key`' class.

  See Also:
    `SybaseASAForeignKeyImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASAForeignKey()`

### SYBASE_ASA_FOREIGN_KEY__CHECK_ON_COMMIT

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_FOREIGN_KEY__CHECK_ON_COMMIT

  The meta object literal for the 'Check On Commit' attribute feature.

### SYBASE_ASA_FOREIGN_KEY__NULLABLE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_FOREIGN_KEY__NULLABLE

  The meta object literal for the 'Nullable' attribute feature.

### SYBASE_ASA_INDEX

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_INDEX

  The meta object literal for the '`Sybase ASA Index`' class.

  See Also:
    `SybaseASAIndexImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASAIndex()`

### SYBASE_ASA_INDEX__VIRTUAL

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_INDEX__VIRTUAL

  The meta object literal for the 'Virtual' attribute feature.

### SYBASE_ASA_TEMP_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_TEMP_TABLE

  The meta object literal for the '`Sybase ASA Temp Table`' class.

  See Also:
    `SybaseASATempTableImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASATempTable()`

### SYBASE_ASA_TEMP_TABLE__PCTFREE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_TEMP_TABLE__PCTFREE

  The meta object literal for the 'Pctfree' attribute feature.